/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/url-xml.c(3)

NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/url-xml.c - XML URL handling.

SYNOPSIS

#include 'config.h'
#include <assert.h>
#include <string.h>
#include <expat.h>
#include <discover/discover.h>
#include <discover/discover-conf.h>
#include <discover/discover-xml.h>
#include <discover/load-url.h>
#include <discover/url-xml.h>
#include <discover/utils.h>

  Enumerations
enum state { START, DISCOVER_DATA }

  Functions
discover_xml_url_t * discover_xml_get_urls (discover_error_t *status)
void discover_xml_free_urls (void)
discover_xml_url_t * discover_xml_get_data_urls (discover_bus_t bus, discover_filetype_t filetype, discover_error_t *status)
void discover_xml_free_data_urls (void)
discover_xml_url_t * discover_xml_url_new (void)
void discover_xml_url_copy (discover_xml_url_t *src, discover_xml_url_t *dst)
char * discover_xml_url_get_url (discover_xml_url_t *url)
char * discover_xml_url_get_label (discover_xml_url_t *url)
char * discover_xml_url_get_bus (discover_xml_url_t *url)
char * discover_xml_url_get_type (discover_xml_url_t *url)
discover_xml_url_t * discover_xml_url_get_next (discover_xml_url_t *url)
discover_xml_url_t * discover_xml_url_get_last (discover_xml_url_t *url)
void discover_xml_url_free (discover_xml_url_t *urls)

Detailed Description

XML URL handling. This file is used when loading data about the URLs to be parsed. This data will be read from a file, either specified from the configuration file or passed in as an append or insert.

Definition in file url-xml.c.

Enumeration Type Documentation

  enum state

Define possible states within the XML data.

Definition at line 52 of file url-xml.c.

Author

Generated automatically by Doxygen for discover from the source code.